zlaqr1.f(3)

NAME
zlaqr1.f -

SYNOPSIS

  Functions/Subroutines
subroutine ZLAQR1 (N, H, LDH, S1, S2, V)
ZLAQR1

Function/Subroutine Documentation

  subroutine ZLAQR1 (INTEGERN, COMPLEX*16, dimension( ldh, * )H, INTEGERLDH, COMPLEX*16S1, COMPLEX*16S2, COMPLEX*16, dimension( * )V)

ZLAQR1

Purpose:

          Given a 2-by-2 or 3-by-3 matrix H, ZLAQR1 sets v to a
          scalar multiple of the first column of the product
          (*)  K = (H - s1*I)*(H - s2*I)
          scaling to avoid overflows and most underflows.
          This is useful for starting double implicit shift bulges
          in the QR algorithm.

Parameters:
    N

              N is integer
                  Order of the matrix H. N must be either 2 or 3.

    H

              H is COMPLEX*16 array of dimension (LDH,N)
                  The 2-by-2 or 3-by-3 matrix H in (*).

    LDH

              LDH is integer
                  The leading dimension of H as declared in
                  the calling procedure.  LDH.GE.N

    S1

              S1 is COMPLEX*16

    S2

              S2 is COMPLEX*16
              S1 and S2 are the shifts defining K in (*) above.

    V

              V is COMPLEX*16 array of dimension N
                  A scalar multiple of the first column of the
                  matrix K in (*).

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Contributors:
    Karen Braman and Ralph Byers, Department of Mathematics, University of Kansas, USA

Definition at line 108 of file zlaqr1.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.